<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Wings Mobile - Eventos</title>
        <link th:href="@{/css/style-events.css}" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <div class="main">
            <section class="signup">
                <div class="container">
                    <div class="signup-content">

                        <a href="#message-anchor" id="message-anchor"></a>

                        <form method="POST" id="signup-formreg" class="signup-form">

                            <img th:src="@{/img/3c98f8537be76cbe3258d31cb2f497268976cd471f5a830345ebf1e84eae255a.png}" style="float: right;"/>
                            <h2 class="form-title" th:text="#{PreLaunchColombia}">PRE-LANZAMIENTO COLOMBIA</h2>

                            <h3 class="form-title" th:text="#{enterYourDetailsToJoin}">Ingrese sus datos para afiliarse</h3>
                            <div class="alert" id="message" style="display: none;"></div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="email" required="required" placeholder="Email*" th:attr="placeholder=#{email} + '*'"/>
                                <small th:text="#{EmailUsedToRecordTicket}">Correo electrónico usado para registrar la entrada</small>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="ticketNumber" id="ticketNumber"
                                       required="required" 
                                       placeholder="Número de Entrada*" 
                                       data-inputmask="'mask': '004-99999'" 
                                       th:attr="placeholder=#{ticketNumber}"
                                       />

                                <small th:text="#{ticketNumber} + ' #xxxx-xxxxx'">Número de entrada #xxxx-xxxxx</small>
                            </div>

                            <div class="form-group">
                                <select class="form-input" name="productId" id="productId"
                                        required="required">
                                    <option disabled="disabled" selected="selected" th:text="#{selectKit}">Seleccione KIT</option>
                                    <option th:each="item : ${items}" th:value="${item.id}" th:text="${item.name} + ' (' + ${item.getLocalPrice('COP')} + ')'"></option>
                                </select>

                                <small th:text="#{selectAffiliateKit}">Seleccione el Kit de afiliación</small>
                            </div>


                            <div class="form-group">
                                <input type="submit" name="submit" id="submit" class="form-submit" value="Afiliarse"/>
                            </div>
                            <small class="text-muted" th:text="#{requiredFields}">*Campos requeridos</small>
                        </form>
                    </div>
                </div>
            </section>
        </div>
        <script th:src="@{/js/jquery.min.js}"></script>
        <script th:src="@{/js/inputmask.min.js}"></script>

        <script>
            $(document).ready(function () {

                $("#ticketNumber").inputmask("99-9999999");

                $('#submit').click(function (e) {
                    e.preventDefault();
                    var form = document.querySelector('form');
                    var report = form.reportValidity();

                    $('#submit').attr("disabled", "disabled");
                    notifySuccess('Registrando, espere por favor...');

                    if (report) {
                        $.post('/eventos/register', $('#signup-formreg').serialize(), function (response) {

                            $('#submit').removeAttr("disabled");
                            // Simulate an HTTP redirect:
                            window.location.replace(response);

                            /*notifySuccess(response);
                             setTimeout(function () {
                             location.reload();
                             }, 2000);*/
                        }).fail(function (xhr, status, error) {
                            $('#submit').removeAttr("disabled");
                            notifyError(xhr.responseText);
                        });
                    }
                });
            });

            function notifySuccess(response) {
                $('#message').removeClass('alert-danger');
                $('#message').addClass('alert-success');
                $('#message').html(response);
                $('#message').show();
            }

            function notifyError(response) {
                $('#message').removeClass('alert-success');
                $('#message').addClass('alert-danger');
                $('#message').html(response);
                $('#message').show();
            }
        </script>
    </body>
    <!-- This templates was made by Colorlib (https://colorlib.com) -->
</html>
